kind: Job
apiVersion: batch/v1
metadata:
  name: das-scale-test
  labels:
    group: das-test-job
spec:
  parallelism: 2
  completions: 2
  completionMode: Indexed
  ttlSecondsAfterFinished: 3600
  template:
    spec:
      containers:
      - name: cuda-vectoradd
        image: nvcr.io/nvidia/k8s/cuda-sample:vectoradd-cuda12.5.0-ubi8
        resources:
          limits:
            nvidia.com/mig-1g.5gb: 1      
        command:
          - sh
          - -c
          - "nvidia-smi -L; /cuda-samples/vectorAdd"
        imagePullPolicy: IfNotPresent
      restartPolicy: Never
